const navigation = [
    {
        title: 'About us',
        path: 'index.php#about'
    },
    {
        title: 'Key capabilities',
        path: 'index.php#capabilities'
    },
    {
        title: 'Portfolio',
        path: 'index.php#portfolio'
    },
    {
        title: 'Contact us',
        path: 'index.php#contact'
    }
];

const links = navigation.map((nav, index) => {
    return `<li class="navitem">
                <a class="navlink" href="${nav.path}">${nav.title}</a>
            </li>`
});

const list = document.querySelector('#navlist');

list.innerHTML = links.join('');

const btn = document.getElementById('menu');

btn.addEventListener("click", () => {
    btn.classList.toggle("active");
    if(btn.className === "active");{
        list.classList.toggle("show");
    }
});

// Up & Down
let prevScrollPos = window.pageYOffset;
let width = window.innerWidth;

if(width > 768){
    window.onscroll = () => {
        let currScrollPos = window.pageYOffset;

        if(prevScrollPos > currScrollPos){
            document.getElementById('navbar').style.top = "0px";
        } else {
            document.getElementById('navbar').style.top = "-80px";
        }

        prevScrollPos = currScrollPos;
    };
};

